/*
 * LiquidCrystal
 */

#ifndef LIQUIDCRYSTAL_H_
#define LIQUIDCRYSTAL_H_

#include <stdint.h>
#include <stdbool.h>
#include <unistd.h>

void liquid_crystal_init(bool data_length, bool two_line, bool many_dots);

void liquid_crystal_reset();

void liquid_crystal_clear();

void liquid_crystal_return_home();

void liquid_crystal_entry_mode_set(bool increment, bool shift);

void liquid_crystal_display(bool display_on, bool cursor_on, bool blink);

void liquid_crystal_set_cursor(int column, int row);

void liquid_crystal_write_char(char chr);

void liquid_crystal_write_string(char *chr);

void liquid_crystal_write_string_len(char *chr, size_t max_len);

#endif
