/*
 * LiquidCrystal
 */

#ifndef LIQUIDCRYSTAL_H_
#define LIQUIDCRYSTAL_H_

#include <stdint.h>
#include <stdbool.h>
#include <unistd.h>

uint32_t liquid_crystal_init(bool data_length, bool two_line, bool many_dots);

uint32_t liquid_crystal_reset();

uint32_t liquid_crystal_clear();

uint32_t liquid_crystal_return_home();

uint32_t liquid_crystal_entry_mode_set(bool increment, bool shift);

uint32_t liquid_crystal_display(bool display_on, bool cursor_on, bool blink);

uint32_t liquid_crystal_set_cursor(int column, int row);

uint32_t liquid_crystal_write_char(char chr);

uint32_t liquid_crystal_write_string(char *chr);

uint32_t liquid_crystal_write_string_len(char *chr, size_t max_len);

#endif
